Package com.smartgwt.client.widgets.ace

# Class AceCompletionResult

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.widgets.ace.AceCompletionResult

All Implemented Interfaces:
  `HasHandlers`

public class AceCompletionResult extends DataClass
Internal use only.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AceCompletionResult()`
  `AceCompletionResult(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCaption()`
  Internal use only.
  `String`
  `getMeta()`
  Internal use only.
  `static AceCompletionResult`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `Integer`
  `getScore()`
  Internal use only.
  `String`
  `getTooltip()`
  Internal use only.
  `String`
  `getValue()`
  Internal use only.
  `AceCompletionResult`
  `setCaption(String caption)`
  Internal use only.
  `AceCompletionResult`
  `setMeta(String meta)`
  Internal use only.
  `AceCompletionResult`
  `setScore(Integer score)`
  Internal use only.
  `AceCompletionResult`
  `setTooltip(String tooltip)`
  Internal use only.
  `AceCompletionResult`
  `setValue(String value)`
  Internal use only.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AceCompletionResult

    public AceCompletionResult()

  - ### AceCompletionResult

    public AceCompletionResult(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static AceCompletionResult getOrCreateRef(JavaScriptObject jsObj)

  - ### setCaption

    public AceCompletionResult setCaption(String caption)
    Internal use only.

  - ### getCaption

    public String getCaption()
    Internal use only.

  - ### setMeta

    public AceCompletionResult setMeta(String meta)
    Internal use only.

  - ### getMeta

    public String getMeta()
    Internal use only.

  - ### setScore

    public AceCompletionResult setScore(Integer score)
    Internal use only.

  - ### getScore

    public Integer getScore()
    Internal use only.

  - ### setTooltip

    public AceCompletionResult setTooltip(String tooltip)
    Internal use only.

  - ### getTooltip

    public String getTooltip()
    Internal use only.

  - ### setValue

    public AceCompletionResult setValue(String value)
    Internal use only.

  - ### getValue

    public String getValue()
    Internal use only.